List embedding models
GET
/api/embedding-models
const url = 'https://firma.company-gpt.com/companygpt/rag/api/api/embedding-models';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://firma.company-gpt.com/companygpt/rag/api/api/embedding-models \ --header 'Authorization: Bearer <token>'Returns the MCP’s embedding-model catalog (id, label, provider) and the server’s default model id, for the collection-create dropdown and client-side validation.
Authorizations
Abschnitt betitelt „Authorizations“Responses
Abschnitt betitelt „Responses“Embedding model catalog
Media typeapplication/json
object
default
required
string
models
required
Array<object>
object
id
required
string
label
required
string
provider
required
string
Examplegenerated
{ "default": "example", "models": [ { "id": "example", "label": "example", "provider": "example" } ]}Unauthorized
Failed to fetch the catalog from the MCP and no cached response is available (plain-text body)
Media typetext/plain
string
Embedding model catalog is not configured on this server (plain-text body)
Media typetext/plain
string